splinetransformpenalty.hh File Reference
`#include <mia/2d/interpolator.hh>`
`#include <mia/2d/datafield.hh>`
`#include <mia/core/vector.hh>`
`#include <mia/core/product_base.hh>`
Include dependency graph for 2d/splinetransformpenalty.hh:

Go to the source code of this file.

## Data Structures

class | C2DSplineTransformPenalty
| Base class for transformation penalties in spline based deformations. More...
class | C2DSplineTransformPenaltyPlugin
class | C2DSplineTransformPenaltyPluginHandlerTest

## Typedefs

typedef THandlerSingleton< TFactoryPluginHandler< C2DSplineTransformPenaltyPlugin > > | C2DSplineTransformPenaltyPluginHandler
| Plugin handler for image combiner plugins.
typedef std::shared_ptr< C2DSplineTransformPenalty > | P2DSplineTransformPenalty

## Functions

| FACTORY_TRAIT (C2DSplineTransformPenaltyPluginHandler)
EXPORT_2D C2DSplineTransformPenaltyPluginHandler::ProductPtr | produce_2d_spline_transform_penalty (const std::string &descr)

## Typedef Documentation

## C2DSplineTransformPenaltyPluginHandler

typedef THandlerSingleton<TFactoryPluginHandler<C2DSplineTransformPenaltyPlugin> > C2DSplineTransformPenaltyPluginHandler

Plugin handler for image combiner plugins.

Definition at line 139 of file 2d/splinetransformpenalty.hh.

## P2DSplineTransformPenalty

typedef std::shared_ptr<C2DSplineTransformPenalty> P2DSplineTransformPenalty

Definition at line 121 of file 2d/splinetransformpenalty.hh.

## Function Documentation

## FACTORY_TRAIT()

FACTORY_TRAIT | ( | C2DSplineTransformPenaltyPluginHandler |  | ) |

References FACTORY_TRAIT.

## produce_2d_spline_transform_penalty()

EXPORT_2D C2DSplineTransformPenaltyPluginHandler::ProductPtr produce_2d_spline_transform_penalty | ( | const std::string & | descr | ) |

References EXPORT_2D, and produce_2d_spline_transform_penalty().

Referenced by produce_2d_spline_transform_penalty().